PHP 5.4.3 configuration with Apache 2.2

Posted on

PHP 5.4.3 configuration with Apache 2.2 – Problems with loading a website are often blamed on the Internet connection, but even the most perfectly set up network cannot help if there is no service to reply at your destination. One of the most popular HTTP servers used for this task is Apache2. Much of Apache’s popularity can be attributed to its easy installation and use, but never the less it is possible to run into problems with even the easiest of the software. If you’ve encountered an issue loading your web page, follow these simple troubleshooting methods outlined in this guide to attempt to get your web server back up and working again. Below are some tips in manage your apache2 server when you find problem about php, apache-2.2, configuration, , .

Recently I downloaded php 5.4.3 , Apache 2.2 and mysql 5.5.24.

How I will configure these things manually in my windows7. I found some tutorials.

In that they are telling need to add these line in apache conf file

AddType application/x-httpd-php .php
LoadModule php5_module "c:/php/php5apache2_2.dll"

But in my php 5.4.3 folder I can’t found any files named like this. I downloaded it from php.net website.

Is there any manual available for configuring all these things.

Please help me.

Thanks

Configuring your web stack manually isn’t trivial. I suggest rather installing WAMPServer, which incorporates Apache, MySQL and PHP in an easy installer. It will correctly configure the file handlers for you as well, so you won’t have to worry about manually configuring Apache to serve your PHP files.

The latest version of PHP bundled with WAMP is version 5.3.10, which is more than recent enough to handle pretty much anything you can throw at it. PHP 5.4 is barely a couple of months old; unless you require specific PHP 5.4 functionality, there really isn’t any reason not to stick with version 5.3.10.

Full installation instructions for PHP 5.4 with WAMP are beyond the scope of this answer, so I’ll provide a link for instructions instead. Summarised, you install WAMP, then extract PHP 5.4 into the correct PHP directory within WAMP.

If there is no php5apache2_2.dll, means that you downloaded PHP nts (non-Thread Safe), you have to download PHP ts (Thread-Safe), this version has the phpXapache2_X.dll files.

Leave a Reply

Your email address will not be published. Required fields are marked *